# Interface Constants

public interface Constants

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CURSOR_LEAVE`
`static final int`
`CURSOR_OFF`
`static final int`
`DISPLAY_DEFAULT`
`static final int`
`DOT1`
upper-left dot of standard braille cell
`static final int`
`DOT2`
middle-left dot of standard braille cell
`static final int`
`DOT3`
lower-left dot of standard braille cell
`static final int`
`DOT4`
upper-right dot of standard braille cell
`static final int`
`DOT5`
middle-right dot of standard braille cell
`static final int`
`DOT6`
lower-right dot of standard braille cell
`static final int`
`DOT7`
lower-left dot of computer braille cell
`static final int`
`DOT8`
lower-right dot of computer braille cell
`static final int`
`DOTC`
chord (space bar on braille keyboard)
`static final int`
`ERROR_AUTHENTICATION`
Authentication failed
`static final int`
`ERROR_CONNREFUSED`
Connection refused
`static final int`
`ERROR_DEVICEBUSY`
A connection is already using RAW or suspend mode
`static final int`
`ERROR_DRIVERERROR`
Packet returned by driver too large
`static final int`
`ERROR_EMPTYKEY`
Key file empty
`static final int`
`ERROR_EOF`
Unexpected end of file
`static final int`
`ERROR_GAIERR`
Getaddrinfo error
`static final int`
`ERROR_ILLEGAL_INSTRUCTION`
Forbiden in current mode
`static final int`
`ERROR_INVALID_PACKET`
Invalid size
`static final int`
`ERROR_INVALID_PARAMETER`
Out of range or have no sense
`static final int`
`ERROR_LIBCERR`
Libc error
`static final int`
`ERROR_NOMEM`
Not enough memory
`static final int`
`ERROR_OPNOTSUPP`
Operation not supported
`static final int`
`ERROR_PROTOCOL_VERSION`
Bad protocol version
`static final int`
`ERROR_READONLY_PARAMETER`
Parameter can not be changed
`static final int`
`ERROR_SUCCESS`
Success
`static final int`
`ERROR_TTYBUSY`
A connection is already running in this tty
`static final int`
`ERROR_UNKNOWN_INSTRUCTION`
Not implemented in protocol
`static final int`
`ERROR_UNKNOWNTTY`
Couldn't find out the tty number
`static final int`
`KEY_CMD_ALERT`
render an alert
`static final int`
`KEY_CMD_ALTGR`
cycle the AltGr (Right Alt) sticky input modifier (next, on, off)
`static final int`
`KEY_CMD_APNDCHARS`
deprecated definition of CLIP_APPEND - append characters to clipboard
`static final long`
`KEY_CMD_ARG_MASK`
`static final int`
`KEY_CMD_ARG_SHIFT`
`static final int`
`KEY_CMD_ASPK_CMP_WORDS`
set autospeak completed words on/off
`static final int`
`KEY_CMD_ASPK_DEL_CHARS`
set autospeak deleted characters on/off
`static final int`
`KEY_CMD_ASPK_EMP_LINE`
set autospeak empty line on/off
`static final int`
`KEY_CMD_ASPK_INDENT`
set autospeak indent of current line on/off
`static final int`
`KEY_CMD_ASPK_INS_CHARS`
set autospeak inserted characters on/off
`static final int`
`KEY_CMD_ASPK_REP_CHARS`
set autospeak replaced characters on/off
`static final int`
`KEY_CMD_ASPK_SEL_CHAR`
set autospeak selected character on/off
`static final int`
`KEY_CMD_ASPK_SEL_LINE`
set autospeak selected line on/off
`static final int`
`KEY_CMD_ATTRBLINK`
set attribute blinking on/off
`static final int`
`KEY_CMD_ATTRDN`
go down to nearest line with different highlighting
`static final int`
`KEY_CMD_ATTRUP`
go up to nearest line with different highlighting
`static final int`
`KEY_CMD_ATTRVIS`
set attribute underlining on/off
`static final int`
`KEY_CMD_AUTOREPEAT`
set autorepeat on/off
`static final int`
`KEY_CMD_AUTOSPEAK`
set autospeak on/off
`static final int`
`KEY_CMD_BACK`
go back after cursor tracking
`static final long`
`KEY_CMD_BLK_MASK`
`static final int`
`KEY_CMD_BLK_SHIFT`
`static final int`
`KEY_CMD_BOT`
go to bottom line
`static final int`
`KEY_CMD_BOT_LEFT`
go to beginning of bottom line
`static final int`
`KEY_CMD_BRL_START`
start the braille driver
`static final int`
`KEY_CMD_BRL_STOP`
stop the braille driver
`static final int`
`KEY_CMD_BRLKBD`
set braille keyboard enabled/disabled
`static final int`
`KEY_CMD_BRLUCDOTS`
set braille typing mode dots/text
`static final int`
`KEY_CMD_CAPBLINK`
set capital letter blinking on/off
`static final int`
`KEY_CMD_CHRLT`
go left one character
`static final int`
`KEY_CMD_CHRRT`
go right one character
`static final int`
`KEY_CMD_CLIP_ADD`
append to clipboard from character
`static final int`
`KEY_CMD_CLIP_APPEND`
append characters to clipboard
`static final int`
`KEY_CMD_CLIP_COPY`
copy characters to clipboard
`static final int`
`KEY_CMD_CLIP_NEW`
start new clipboard at character
`static final int`
`KEY_CMD_CLIP_RESTORE`
restore clipboard from disk
`static final int`
`KEY_CMD_CLIP_SAVE`
save clipboard to disk
`static final int`
`KEY_CMD_COMPBRL6`
set six/eight dot computer braille
`static final int`
`KEY_CMD_CONTEXT`
switch to command context
`static final int`
`KEY_CMD_CONTRACTED`
set contracted/computer braille
`static final int`
`KEY_CMD_CONTROL`
cycle the Control sticky input modifier (next, on, off)
`static final int`
`KEY_CMD_COPY_LINE`
linear copy to character
`static final int`
`KEY_CMD_COPY_RECT`
rectangular copy to character
`static final int`
`KEY_CMD_COPYCHARS`
deprecated definition of CLIP_COPY - copy characters to clipboard
`static final int`
`KEY_CMD_CSRBLINK`
set screen cursor blinking on/off
`static final int`
`KEY_CMD_CSRHIDE`
set hidden screen cursor on/off
`static final int`
`KEY_CMD_CSRJMP_VERT`
bring screen cursor to current line
`static final int`
`KEY_CMD_CSRSIZE`
set screen cursor style block/underline
`static final int`
`KEY_CMD_CSRTRK`
set track screen cursor on/off
`static final int`
`KEY_CMD_CSRVIS`
set screen cursor visibility on/off
`static final int`
`KEY_CMD_CUTAPPEND`
deprecated definition of CLIP_ADD - append to clipboard from character
`static final int`
`KEY_CMD_CUTBEGIN`
deprecated definition of CLIP_NEW - start new clipboard at character
`static final int`
`KEY_CMD_CUTLINE`
deprecated definition of COPY_LINE - linear copy to character
`static final int`
`KEY_CMD_CUTRECT`
deprecated definition of COPY_RECT - rectangular copy to character
`static final int`
`KEY_CMD_DESC_CURR_CHAR`
describe current character
`static final int`
`KEY_CMD_DESCCHAR`
describe character
`static final int`
`KEY_CMD_DISPMD`
set display mode attributes/text
`static final int`
`KEY_CMD_FREEZE`
set screen image frozen/unfrozen
`static final int`
`KEY_CMD_FWINLT`
go backward one braille window
`static final int`
`KEY_CMD_FWINLTSKIP`
go backward skipping blank braille windows
`static final int`
`KEY_CMD_FWINRT`
go forward one braille window
`static final int`
`KEY_CMD_FWINRTSKIP`
go forward skipping blank braille windows
`static final int`
`KEY_CMD_GOTOLINE`
go to selected line
`static final int`
`KEY_CMD_GOTOMARK`
go to remembered braille window position
`static final int`
`KEY_CMD_GUI`
cycle the GUI (Windows) sticky input modifier (next, on, off)
`static final int`
`KEY_CMD_GUI_APP_ALERTS`
open the application alerts window
`static final int`
`KEY_CMD_GUI_APP_LIST`
open the application list window
`static final int`
`KEY_CMD_GUI_APP_MENU`
open the application-specific menu
`static final int`
`KEY_CMD_GUI_AREA_ACTV`
return to the active screen area
`static final int`
`KEY_CMD_GUI_AREA_NEXT`
switch to the next screen area
`static final int`
`KEY_CMD_GUI_AREA_PREV`
switch to the previous screen area
`static final int`
`KEY_CMD_GUI_BACK`
go back to the previous screen
`static final int`
`KEY_CMD_GUI_BRL_ACTIONS`
open the braille actions window
`static final int`
`KEY_CMD_GUI_DEV_OPTIONS`
open the device options window
`static final int`
`KEY_CMD_GUI_DEV_SETTINGS`
open the device settings window
`static final int`
`KEY_CMD_GUI_HOME`
go to the home screen
`static final int`
`KEY_CMD_GUI_ITEM_FRST`
move to the first item in the screen area
`static final int`
`KEY_CMD_GUI_ITEM_LAST`
move to the last item in the screen area
`static final int`
`KEY_CMD_GUI_ITEM_NEXT`
move to the next item in the screen area
`static final int`
`KEY_CMD_GUI_ITEM_PREV`
move to the previous item in the screen area
`static final int`
`KEY_CMD_GUI_TITLE`
show the window title
`static final int`
`KEY_CMD_HELP`
enter/leave help display
`static final int`
`KEY_CMD_HOME`
go to screen cursor
`static final int`
`KEY_CMD_HOST_COPY`
copy selected text to host clipboard
`static final int`
`KEY_CMD_HOST_CUT`
cut selected text to host clipboard
`static final int`
`KEY_CMD_HOST_PASTE`
insert host clipboard text after screen cursor
`static final int`
`KEY_CMD_HOSTCMD`
run host command
`static final int`
`KEY_CMD_HWINLT`
go left half a braille window
`static final int`
`KEY_CMD_HWINRT`
go right half a braille window
`static final int`
`KEY_CMD_INDICATORS`
show various device status indicators
`static final int`
`KEY_CMD_INFO`
enter/leave status display
`static final int`
`KEY_CMD_LEARN`
enter/leave command learn mode
`static final int`
`KEY_CMD_LNBEG`
go to beginning of line
`static final int`
`KEY_CMD_LNDN`
go down one line
`static final int`
`KEY_CMD_LNEND`
go to end of line
`static final int`
`KEY_CMD_LNUP`
go up one line
`static final int`
`KEY_CMD_MACRO`
execute command macro
`static final int`
`KEY_CMD_MENU_FIRST_ITEM`
go up to first item
`static final int`
`KEY_CMD_MENU_LAST_ITEM`
go down to last item
`static final int`
`KEY_CMD_MENU_NEXT_ITEM`
go down to next item
`static final int`
`KEY_CMD_MENU_NEXT_SETTING`
select next choice
`static final int`
`KEY_CMD_MENU_PREV_ITEM`
go up to previous item
`static final int`
`KEY_CMD_MENU_PREV_LEVEL`
go to previous menu level
`static final int`
`KEY_CMD_MENU_PREV_SETTING`
select previous choice
`static final int`
`KEY_CMD_META`
cycle the Meta (Left Alt) sticky input modifier (next, on, off)
`static final int`
`KEY_CMD_MUTE`
stop speaking
`static final int`
`KEY_CMD_NOOP`
do nothing
`static final int`
`KEY_CMD_NXDIFCHAR`
go down to nearest line with different character
`static final int`
`KEY_CMD_NXDIFLN`
go down to nearest line with different content
`static final int`
`KEY_CMD_NXINDENT`
go down to nearest line with less indent than character
`static final int`
`KEY_CMD_NXNBWIN`
go forward to nearest non-blank braille window
`static final int`
`KEY_CMD_NXPGRPH`
go down to first line of next paragraph
`static final int`
`KEY_CMD_NXPROMPT`
go down to next command prompt
`static final int`
`KEY_CMD_NXSEARCH`
search forward for clipboard text
`static final int`
`KEY_CMD_OFFLINE`
braille display temporarily unavailable
`static final int`
`KEY_CMD_PASSAT`
AT (set 2) keyboard scan code
`static final int`
`KEY_CMD_PASSDOTS`
type braille dots
`static final int`
`KEY_CMD_PASSPS2`
PS/2 (set 3) keyboard scan code
`static final int`
`KEY_CMD_PASSXT`
XT (set 1) keyboard scan code
`static final int`
`KEY_CMD_PASTE`
insert clipboard text after screen cursor
`static final int`
`KEY_CMD_PASTE_HISTORY`
insert clipboard history entry after screen cursor
`static final int`
`KEY_CMD_PRDIFCHAR`
go up to nearest line with different character
`static final int`
`KEY_CMD_PRDIFLN`
go up to nearest line with different content
`static final int`
`KEY_CMD_PREFLOAD`
restore preferences from disk
`static final int`
`KEY_CMD_PREFMENU`
enter/leave preferences menu
`static final int`
`KEY_CMD_PREFRESET`
reset preferences to defaults
`static final int`
`KEY_CMD_PREFSAVE`
save preferences to disk
`static final int`
`KEY_CMD_PRINDENT`
go up to nearest line with less indent than character
`static final int`
`KEY_CMD_PRNBWIN`
go backward to nearest non-blank braille window
`static final int`
`KEY_CMD_PRPGRPH`
go up to first line of paragraph
`static final int`
`KEY_CMD_PRPROMPT`
go up to previous command prompt
`static final int`
`KEY_CMD_PRSEARCH`
search backward for clipboard text
`static final int`
`KEY_CMD_REFRESH`
refresh braille display
`static final int`
`KEY_CMD_REFRESH_LINE`
refresh braille line
`static final int`
`KEY_CMD_RESTARTBRL`
restart braille driver
`static final int`
`KEY_CMD_RESTARTSPEECH`
restart speech driver
`static final int`
`KEY_CMD_RETURN`
go to screen cursor or go back after cursor tracking
`static final int`
`KEY_CMD_ROUTE`
bring screen cursor to character
`static final int`
`KEY_CMD_ROUTE_CURR_LOCN`
bring screen cursor to speech cursor
`static final int`
`KEY_CMD_ROUTE_LINE`
bring screen cursor to line
`static final int`
`KEY_CMD_ROUTE_SPEECH`
bring speech cursor to character
`static final int`
`KEY_CMD_SAY_ABOVE`
speak from top of screen through current line
`static final int`
`KEY_CMD_SAY_ALL`
speak from top of screen through bottom of screen
`static final int`
`KEY_CMD_SAY_BELOW`
speak from current line through bottom of screen
`static final int`
`KEY_CMD_SAY_FASTER`
increase speaking rate
`static final int`
`KEY_CMD_SAY_HIGHER`
increase speaking pitch
`static final int`
`KEY_CMD_SAY_LINE`
speak current line
`static final int`
`KEY_CMD_SAY_LOUDER`
increase speaking volume
`static final int`
`KEY_CMD_SAY_LOWER`
decrease speaking pitch
`static final int`
`KEY_CMD_SAY_SLOWER`
decrease speaking rate
`static final int`
`KEY_CMD_SAY_SOFTER`
decrease speaking volume
`static final int`
`KEY_CMD_SCR_START`
start the screen driver
`static final int`
`KEY_CMD_SCR_STOP`
stop the screen driver
`static final int`
`KEY_CMD_SELECTVT`
bind to specific virtual terminal
`static final int`
`KEY_CMD_SELECTVT_NEXT`
bind to the next virtual terminal
`static final int`
`KEY_CMD_SELECTVT_PREV`
bind to the previous virtual terminal
`static final int`
`KEY_CMD_SET_ATTRIBUTES_TABLE`
set attributes table
`static final int`
`KEY_CMD_SET_CONTRACTION_TABLE`
set contraction table
`static final int`
`KEY_CMD_SET_KEYBOARD_TABLE`
set keyboard table
`static final int`
`KEY_CMD_SET_LANGUAGE_PROFILE`
set language profile
`static final int`
`KEY_CMD_SET_TEXT_TABLE`
set text table
`static final int`
`KEY_CMD_SETLEFT`
place left end of braille window at character
`static final int`
`KEY_CMD_SETMARK`
remember current braille window position
`static final int`
`KEY_CMD_SHIFT`
cycle the Shift sticky input modifier (next, on, off)
`static final int`
`KEY_CMD_SHOW_CURR_LOCN`
set speech cursor visibility on/off
`static final int`
`KEY_CMD_SIXDOTS`
set text style 6-dot/8-dot
`static final int`
`KEY_CMD_SKPBLNKWINS`
set skipping of blank braille windows on/off
`static final int`
`KEY_CMD_SKPIDLNS`
set skipping of lines with identical content on/off
`static final int`
`KEY_CMD_SLIDEWIN`
set sliding braille window on/off
`static final int`
`KEY_CMD_SPEAK_CURR_CHAR`
speak current character
`static final int`
`KEY_CMD_SPEAK_CURR_LINE`
speak current line
`static final int`
`KEY_CMD_SPEAK_CURR_LOCN`
speak speech cursor location
`static final int`
`KEY_CMD_SPEAK_CURR_WORD`
speak current word
`static final int`
`KEY_CMD_SPEAK_FRST_CHAR`
go to and speak first non-blank character on line
`static final int`
`KEY_CMD_SPEAK_FRST_LINE`
go to and speak first non-blank line on screen
`static final int`
`KEY_CMD_SPEAK_INDENT`
speak indent of current line
`static final int`
`KEY_CMD_SPEAK_LAST_CHAR`
go to and speak last non-blank character on line
`static final int`
`KEY_CMD_SPEAK_LAST_LINE`
go to and speak last non-blank line on screen
`static final int`
`KEY_CMD_SPEAK_NEXT_CHAR`
go to and speak next character
`static final int`
`KEY_CMD_SPEAK_NEXT_LINE`
go to and speak next line
`static final int`
`KEY_CMD_SPEAK_NEXT_WORD`
go to and speak next word
`static final int`
`KEY_CMD_SPEAK_PREV_CHAR`
go to and speak previous character
`static final int`
`KEY_CMD_SPEAK_PREV_LINE`
go to and speak previous line
`static final int`
`KEY_CMD_SPEAK_PREV_WORD`
go to and speak previous word
`static final int`
`KEY_CMD_SPELL_CURR_WORD`
spell current word
`static final int`
`KEY_CMD_SPK_START`
start the speech driver
`static final int`
`KEY_CMD_SPK_STOP`
stop the speech driver
`static final int`
`KEY_CMD_SPKHOME`
go to current speaking position
`static final int`
`KEY_CMD_SWITCHVT`
switch to specific virtual terminal
`static final int`
`KEY_CMD_SWITCHVT_NEXT`
switch to the next virtual terminal
`static final int`
`KEY_CMD_SWITCHVT_PREV`
switch to the previous virtual terminal
`static final int`
`KEY_CMD_TIME`
show current date and time
`static final int`
`KEY_CMD_TOP`
go to top line
`static final int`
`KEY_CMD_TOP_LEFT`
go to beginning of top line
`static final int`
`KEY_CMD_TOUCH_AT`
current reading location
`static final int`
`KEY_CMD_TOUCH_NAV`
set touch navigation on/off
`static final int`
`KEY_CMD_TUNES`
set alert tunes on/off
`static final int`
`KEY_CMD_TXTSEL_ALL`
select all of the text
`static final int`
`KEY_CMD_TXTSEL_CLEAR`
clear the text selection
`static final int`
`KEY_CMD_TXTSEL_SET`
set text selection
`static final int`
`KEY_CMD_TXTSEL_START`
start text selection
`static final int`
`KEY_CMD_UNSTICK`
clear all sticky input modifiers
`static final int`
`KEY_CMD_UPPER`
cycle the Upper sticky input modifier (next, on, off)
`static final int`
`KEY_CMD_WINDN`
go down several lines
`static final int`
`KEY_CMD_WINUP`
go up several lines
`static final long`
`KEY_CODE_MASK`
`static final int`
`KEY_CODE_SHIFT`
`static final long`
`KEY_FLAGS_MASK`
`static final int`
`KEY_FLAGS_SHIFT`
`static final int`
`KEY_FLG_INPUT_ALTGR`
altgr (right alt) key pressed
`static final int`
`KEY_FLG_INPUT_CAPSLOCK`
capslock key pressed
`static final int`
`KEY_FLG_INPUT_CONTROL`
control key pressed
`static final int`
`KEY_FLG_INPUT_ESCAPED`
prefix with escape
`static final int`
`KEY_FLG_INPUT_GUI`
gui (windows) key pressed
`static final int`
`KEY_FLG_INPUT_META`
meta (left alt) key pressed
`static final int`
`KEY_FLG_INPUT_SHIFT`
shift key pressed
`static final int`
`KEY_FLG_INPUT_UPPER`
convert to uppercase
`static final int`
`KEY_FLG_KBD_EMUL0`
it is an emulation 0 scan code
`static final int`
`KEY_FLG_KBD_EMUL1`
it is an emulation 1 scan code
`static final int`
`KEY_FLG_KBD_RELEASE`
it is a release scan code
`static final int`
`KEY_FLG_MOTION_ROUTE`
bring screen cursor into braille window after function
`static final int`
`KEY_FLG_MOTION_SCALED`
scale arg=0X00-0XFF to screen height
`static final int`
`KEY_FLG_MOTION_TOLEFT`
go to beginning of line
`static final int`
`KEY_FLG_TOGGLE_MASK`
mask for all toggle flags
`static final int`
`KEY_FLG_TOGGLE_OFF`
disable feature
`static final int`
`KEY_FLG_TOGGLE_ON`
enable feature
`static final long`
`KEY_MAX`
`static final int`
`KEY_SYM_BACKSPACE`
`static final int`
`KEY_SYM_DELETE`
`static final int`
`KEY_SYM_DOWN`
`static final int`
`KEY_SYM_END`
`static final int`
`KEY_SYM_ESCAPE`
`static final int`
`KEY_SYM_F1`
`static final int`
`KEY_SYM_F10`
`static final int`
`KEY_SYM_F11`
`static final int`
`KEY_SYM_F12`
`static final int`
`KEY_SYM_F13`
`static final int`
`KEY_SYM_F14`
`static final int`
`KEY_SYM_F15`
`static final int`
`KEY_SYM_F16`
`static final int`
`KEY_SYM_F17`
`static final int`
`KEY_SYM_F18`
`static final int`
`KEY_SYM_F19`
`static final int`
`KEY_SYM_F2`
`static final int`
`KEY_SYM_F20`
`static final int`
`KEY_SYM_F21`
`static final int`
`KEY_SYM_F22`
`static final int`
`KEY_SYM_F23`
`static final int`
`KEY_SYM_F24`
`static final int`
`KEY_SYM_F25`
`static final int`
`KEY_SYM_F26`
`static final int`
`KEY_SYM_F27`
`static final int`
`KEY_SYM_F28`
`static final int`
`KEY_SYM_F29`
`static final int`
`KEY_SYM_F3`
`static final int`
`KEY_SYM_F30`
`static final int`
`KEY_SYM_F31`
`static final int`
`KEY_SYM_F32`
`static final int`
`KEY_SYM_F33`
`static final int`
`KEY_SYM_F34`
`static final int`
`KEY_SYM_F35`
`static final int`
`KEY_SYM_F4`
`static final int`
`KEY_SYM_F5`
`static final int`
`KEY_SYM_F6`
`static final int`
`KEY_SYM_F7`
`static final int`
`KEY_SYM_F8`
`static final int`
`KEY_SYM_F9`
`static final int`
`KEY_SYM_HOME`
`static final int`
`KEY_SYM_INSERT`
`static final int`
`KEY_SYM_LEFT`
`static final int`
`KEY_SYM_LINEFEED`
`static final int`
`KEY_SYM_PAGE_DOWN`
`static final int`
`KEY_SYM_PAGE_UP`
`static final int`
`KEY_SYM_RIGHT`
`static final int`
`KEY_SYM_TAB`
`static final int`
`KEY_SYM_UNICODE`
`static final int`
`KEY_SYM_UP`
`static final int`
`KEY_TYPE_CMD`
`static final long`
`KEY_TYPE_MASK`
`static final int`
`KEY_TYPE_SHIFT`
`static final int`
`KEY_TYPE_SYM`
`static final int`
`PARAM_AUDIBLE_ALERTS`
Whether to use audible alerts: boolean
`static final int`
`PARAM_BOUND_COMMAND_KEYCODES`
Commands bound by the driver: uint64_t[], one command keycode per element
`static final int`
`PARAM_CLIENT_PRIORITY`
Priority of the client: uint32_t (from 0 through 100, default is 50)
`static final int`
`PARAM_CLIPBOARD_CONTENT`
Content of the clipboard: UTF-8 string
`static final int`
`PARAM_COMMAND_KEYCODE_NAME`
Name for a command keycode (specified via the subparam argument): string (usually a few characters)
`static final int`
`PARAM_COMMAND_KEYCODE_SUMMARY`
Description for a command keycode (specified via the subparam argument): string (usually a few words)
`static final int`
`PARAM_COMPUTER_BRAILLE_CELL_SIZE`
Number of dots used to render a computer braille character: uint8_t (8 or 6)
`static final int`
`PARAM_COMPUTER_BRAILLE_ROW_CELLS`
Computer braille cells for a Unicode row (specified via the subparam argument): uint8_t[256] (ISO 11548-1), one cell per element
`static final int`
`PARAM_COMPUTER_BRAILLE_ROWS_MASK`
Set of Unicode rows that are defined for computer braille (from U+0000 through U+10FFFF): uint8_t[544], one bit per row, eight rows per element
`static final int`
`PARAM_COMPUTER_BRAILLE_TABLE`
Name of the computer braille table: string
`static final int`
`PARAM_COUNT`
Number of parameters
`static final int`
`PARAM_CURSOR_BLINK_PERCENTAGE`
Portion of the blinking period that the cursor is visible: uint8_t (from 0 through 100)
`static final int`
`PARAM_CURSOR_BLINK_PERIOD`
Blinking period of the cursor: uint32_t (milliseconds)
`static final int`
`PARAM_CURSOR_DOTS`
Representation of the cursor: uint8_t (ISO 11548-1)
`static final int`
`PARAM_DEFINED_DRIVER_KEYCODES`
Keycodes defined by the driver: uint64_t[], one keycode per element
`static final int`
`PARAM_DEVICE_CELL_SIZE`
Number of dots in a cell: uint8_t
`static final int`
`PARAM_DEVICE_IDENTIFIER`
Identifier of the device: string
`static final int`
`PARAM_DEVICE_MODEL`
Model of the device: string
`static final int`
`PARAM_DEVICE_ONLINE`
Device is online: boolean
`static final int`
`PARAM_DEVICE_SPEED`
Speed of the device: uint32_t
`static final int`
`PARAM_DISPLAY_SIZE`
Dimensions of the braille display: { uint32_t columns; uint32_t rows; }
`static final int`
`PARAM_DRIVER_CODE`
Code (short name) of the driver: string
`static final int`
`PARAM_DRIVER_KEYCODE_NAME`
Name for a driver keycode (specified via the subparam argument): string (usually a few characters)
`static final int`
`PARAM_DRIVER_KEYCODE_SUMMARY`
Description for a driver keycode (specified via the subparam argument): string (usually a few words)
`static final int`
`PARAM_DRIVER_NAME`
Full name of the driver: string
`static final int`
`PARAM_DRIVER_PROPERTY_VALUE`
Value of a driver-specific property: uint32_t
`static final int`
`PARAM_DRIVER_VERSION`
Version of the driver: string
`static final int`
`PARAM_LITERARY_BRAILLE`
Whether braille is literary (rather than computer): boolean
`static final int`
`PARAM_LITERARY_BRAILLE_TABLE`
Name of the literary braille table: string
`static final int`
`PARAM_MESSAGE_LOCALE`
Locale to use for messages: string
`static final int`
`PARAM_RENDERED_CELLS`
Cells rendered by the client: uint8_t[] (ISO 11548-1), one cell per element
`static final int`
`PARAM_RETAIN_DOTS`
Pass dot combinations (rather than characters): boolean
`static final int`
`PARAM_SERVER_VERSION`
Version of the server: uint32_t
`static final int`
`PARAM_SKIP_IDENTICAL_LINES`
Whether to skip identical screen lines: boolean
`static final int`
`PARAM_TYPE_BOOLEAN`
Parameter is one or more booleans represented by a uint8_t
`static final int`
`PARAM_TYPE_KEYCODE`
Parameter is one or more key codes
`static final int`
`PARAM_TYPE_STRING`
Parameter is a string of UTF-8 characters
`static final int`
`PARAM_TYPE_UINT16`
Parameter is one or more 16-bit unsigned integers
`static final int`
`PARAM_TYPE_UINT32`
Parameter is one or more 32-bit unsigned integers
`static final int`
`PARAM_TYPE_UINT64`
Parameter is one or more 64-bit unsigned integers
`static final int`
`PARAM_TYPE_UINT8`
Parameter is one or more 8-bit unsigned integers
`static final int`
`PARAMF_GLOBAL`
`static final int`
`PARAMF_LOCAL`
`static final int`
`PARAMF_SELF`
`static final int`
`rangeType_all`
`static final int`
`rangeType_code`
`static final int`
`rangeType_command`
`static final int`
`rangeType_key`
`static final int`
`rangeType_type`
`static final int`
`TTY_DEFAULT`

## Field Details

### TTY_DEFAULT

static final int TTY_DEFAULT

See Also:
  - Constant Field Values

### DISPLAY_DEFAULT

static final int DISPLAY_DEFAULT

See Also:
  - Constant Field Values

### CURSOR_LEAVE

static final int CURSOR_LEAVE

See Also:
  - Constant Field Values

### CURSOR_OFF

static final int CURSOR_OFF

See Also:
  - Constant Field Values

### rangeType_all

static final int rangeType_all

See Also:
  - Constant Field Values

### rangeType_type

static final int rangeType_type

See Also:
  - Constant Field Values

### rangeType_command

static final int rangeType_command

See Also:
  - Constant Field Values

### rangeType_key

static final int rangeType_key

See Also:
  - Constant Field Values

### rangeType_code

static final int rangeType_code

See Also:
  - Constant Field Values

### PARAMF_LOCAL

static final int PARAMF_LOCAL

See Also:
  - Constant Field Values

### PARAMF_GLOBAL

static final int PARAMF_GLOBAL

See Also:
  - Constant Field Values

### PARAMF_SELF

static final int PARAMF_SELF

See Also:
  - Constant Field Values

### ERROR_SUCCESS

static final int ERROR_SUCCESS
Success

See Also:
  - Constant Field Values

### ERROR_NOMEM

static final int ERROR_NOMEM
Not enough memory

See Also:
  - Constant Field Values

### ERROR_TTYBUSY

static final int ERROR_TTYBUSY
A connection is already running in this tty

See Also:
  - Constant Field Values

### ERROR_DEVICEBUSY

static final int ERROR_DEVICEBUSY
A connection is already using RAW or suspend mode

See Also:
  - Constant Field Values

### ERROR_UNKNOWN_INSTRUCTION

static final int ERROR_UNKNOWN_INSTRUCTION
Not implemented in protocol

See Also:
  - Constant Field Values

### ERROR_ILLEGAL_INSTRUCTION

static final int ERROR_ILLEGAL_INSTRUCTION
Forbiden in current mode

See Also:
  - Constant Field Values

### ERROR_INVALID_PARAMETER

static final int ERROR_INVALID_PARAMETER
Out of range or have no sense

See Also:
  - Constant Field Values

### ERROR_INVALID_PACKET

static final int ERROR_INVALID_PACKET
Invalid size

See Also:
  - Constant Field Values

### ERROR_CONNREFUSED

static final int ERROR_CONNREFUSED
Connection refused

See Also:
  - Constant Field Values

### ERROR_OPNOTSUPP

static final int ERROR_OPNOTSUPP
Operation not supported

See Also:
  - Constant Field Values

### ERROR_GAIERR

static final int ERROR_GAIERR
Getaddrinfo error

See Also:
  - Constant Field Values

### ERROR_LIBCERR

static final int ERROR_LIBCERR
Libc error

See Also:
  - Constant Field Values

### ERROR_UNKNOWNTTY

static final int ERROR_UNKNOWNTTY
Couldn't find out the tty number

See Also:
  - Constant Field Values

### ERROR_PROTOCOL_VERSION

static final int ERROR_PROTOCOL_VERSION
Bad protocol version

See Also:
  - Constant Field Values

### ERROR_EOF

static final int ERROR_EOF
Unexpected end of file

See Also:
  - Constant Field Values

### ERROR_EMPTYKEY

static final int ERROR_EMPTYKEY
Key file empty

See Also:
  - Constant Field Values

### ERROR_DRIVERERROR

static final int ERROR_DRIVERERROR
Packet returned by driver too large

See Also:
  - Constant Field Values

### ERROR_AUTHENTICATION

static final int ERROR_AUTHENTICATION
Authentication failed

See Also:
  - Constant Field Values

### ERROR_READONLY_PARAMETER

static final int ERROR_READONLY_PARAMETER
Parameter can not be changed

See Also:
  - Constant Field Values

### KEY_MAX

static final long KEY_MAX

See Also:
  - Constant Field Values

### KEY_FLAGS_MASK

static final long KEY_FLAGS_MASK

See Also:
  - Constant Field Values

### KEY_FLAGS_SHIFT

static final int KEY_FLAGS_SHIFT

See Also:
  - Constant Field Values

### KEY_TYPE_MASK

static final long KEY_TYPE_MASK

See Also:
  - Constant Field Values

### KEY_TYPE_SHIFT

static final int KEY_TYPE_SHIFT

See Also:
  - Constant Field Values

### KEY_TYPE_CMD

static final int KEY_TYPE_CMD

See Also:
  - Constant Field Values

### KEY_TYPE_SYM

static final int KEY_TYPE_SYM

See Also:
  - Constant Field Values

### KEY_CODE_MASK

static final long KEY_CODE_MASK

See Also:
  - Constant Field Values

### KEY_CODE_SHIFT

static final int KEY_CODE_SHIFT

See Also:
  - Constant Field Values

### KEY_CMD_BLK_MASK

static final long KEY_CMD_BLK_MASK

See Also:
  - Constant Field Values

### KEY_CMD_BLK_SHIFT

static final int KEY_CMD_BLK_SHIFT

See Also:
  - Constant Field Values

### KEY_CMD_ARG_MASK

static final long KEY_CMD_ARG_MASK

See Also:
  - Constant Field Values

### KEY_CMD_ARG_SHIFT

static final int KEY_CMD_ARG_SHIFT

See Also:
  - Constant Field Values

### KEY_SYM_BACKSPACE

static final int KEY_SYM_BACKSPACE

See Also:
  - Constant Field Values

### KEY_SYM_TAB

static final int KEY_SYM_TAB

See Also:
  - Constant Field Values

### KEY_SYM_LINEFEED

static final int KEY_SYM_LINEFEED

See Also:
  - Constant Field Values

### KEY_SYM_ESCAPE

static final int KEY_SYM_ESCAPE

See Also:
  - Constant Field Values

### KEY_SYM_HOME

static final int KEY_SYM_HOME

See Also:
  - Constant Field Values

### KEY_SYM_LEFT

static final int KEY_SYM_LEFT

See Also:
  - Constant Field Values

### KEY_SYM_UP

static final int KEY_SYM_UP

See Also:
  - Constant Field Values

### KEY_SYM_RIGHT

static final int KEY_SYM_RIGHT

See Also:
  - Constant Field Values

### KEY_SYM_DOWN

static final int KEY_SYM_DOWN

See Also:
  - Constant Field Values

### KEY_SYM_PAGE_UP

static final int KEY_SYM_PAGE_UP

See Also:
  - Constant Field Values

### KEY_SYM_PAGE_DOWN

static final int KEY_SYM_PAGE_DOWN

See Also:
  - Constant Field Values

### KEY_SYM_END

static final int KEY_SYM_END

See Also:
  - Constant Field Values

### KEY_SYM_INSERT

static final int KEY_SYM_INSERT

See Also:
  - Constant Field Values

### KEY_SYM_F1

static final int KEY_SYM_F1

See Also:
  - Constant Field Values

### KEY_SYM_F2

static final int KEY_SYM_F2

See Also:
  - Constant Field Values

### KEY_SYM_F3

static final int KEY_SYM_F3

See Also:
  - Constant Field Values

### KEY_SYM_F4

static final int KEY_SYM_F4

See Also:
  - Constant Field Values

### KEY_SYM_F5

static final int KEY_SYM_F5

See Also:
  - Constant Field Values

### KEY_SYM_F6

static final int KEY_SYM_F6

See Also:
  - Constant Field Values

### KEY_SYM_F7

static final int KEY_SYM_F7

See Also:
  - Constant Field Values

### KEY_SYM_F8

static final int KEY_SYM_F8

See Also:
  - Constant Field Values

### KEY_SYM_F9

static final int KEY_SYM_F9

See Also:
  - Constant Field Values

### KEY_SYM_F10

static final int KEY_SYM_F10

See Also:
  - Constant Field Values

### KEY_SYM_F11

static final int KEY_SYM_F11

See Also:
  - Constant Field Values

### KEY_SYM_F12

static final int KEY_SYM_F12

See Also:
  - Constant Field Values

### KEY_SYM_F13

static final int KEY_SYM_F13

See Also:
  - Constant Field Values

### KEY_SYM_F14

static final int KEY_SYM_F14

See Also:
  - Constant Field Values

### KEY_SYM_F15

static final int KEY_SYM_F15

See Also:
  - Constant Field Values

### KEY_SYM_F16

static final int KEY_SYM_F16

See Also:
  - Constant Field Values

### KEY_SYM_F17

static final int KEY_SYM_F17

See Also:
  - Constant Field Values

### KEY_SYM_F18

static final int KEY_SYM_F18

See Also:
  - Constant Field Values

### KEY_SYM_F19

static final int KEY_SYM_F19

See Also:
  - Constant Field Values

### KEY_SYM_F20

static final int KEY_SYM_F20

See Also:
  - Constant Field Values

### KEY_SYM_F21

static final int KEY_SYM_F21

See Also:
  - Constant Field Values

### KEY_SYM_F22

static final int KEY_SYM_F22

See Also:
  - Constant Field Values

### KEY_SYM_F23

static final int KEY_SYM_F23

See Also:
  - Constant Field Values

### KEY_SYM_F24

static final int KEY_SYM_F24

See Also:
  - Constant Field Values

### KEY_SYM_F25

static final int KEY_SYM_F25

See Also:
  - Constant Field Values

### KEY_SYM_F26

static final int KEY_SYM_F26

See Also:
  - Constant Field Values

### KEY_SYM_F27

static final int KEY_SYM_F27

See Also:
  - Constant Field Values

### KEY_SYM_F28

static final int KEY_SYM_F28

See Also:
  - Constant Field Values

### KEY_SYM_F29

static final int KEY_SYM_F29

See Also:
  - Constant Field Values

### KEY_SYM_F30

static final int KEY_SYM_F30

See Also:
  - Constant Field Values

### KEY_SYM_F31

static final int KEY_SYM_F31

See Also:
  - Constant Field Values

### KEY_SYM_F32

static final int KEY_SYM_F32

See Also:
  - Constant Field Values

### KEY_SYM_F33

static final int KEY_SYM_F33

See Also:
  - Constant Field Values

### KEY_SYM_F34

static final int KEY_SYM_F34

See Also:
  - Constant Field Values

### KEY_SYM_F35

static final int KEY_SYM_F35

See Also:
  - Constant Field Values

### KEY_SYM_DELETE

static final int KEY_SYM_DELETE

See Also:
  - Constant Field Values

### KEY_SYM_UNICODE

static final int KEY_SYM_UNICODE

See Also:
  - Constant Field Values

### PARAM_SERVER_VERSION

static final int PARAM_SERVER_VERSION
Version of the server: uint32_t

See Also:
  - Constant Field Values

### PARAM_CLIENT_PRIORITY

static final int PARAM_CLIENT_PRIORITY
Priority of the client: uint32_t (from 0 through 100, default is 50)

See Also:
  - Constant Field Values

### PARAM_DRIVER_NAME

static final int PARAM_DRIVER_NAME
Full name of the driver: string

See Also:
  - Constant Field Values

### PARAM_DRIVER_CODE

static final int PARAM_DRIVER_CODE
Code (short name) of the driver: string

See Also:
  - Constant Field Values

### PARAM_DRIVER_VERSION

static final int PARAM_DRIVER_VERSION
Version of the driver: string

See Also:
  - Constant Field Values

### PARAM_DEVICE_MODEL

static final int PARAM_DEVICE_MODEL
Model of the device: string

See Also:
  - Constant Field Values

### PARAM_DEVICE_CELL_SIZE

static final int PARAM_DEVICE_CELL_SIZE
Number of dots in a cell: uint8_t

See Also:
  - Constant Field Values

### PARAM_DISPLAY_SIZE

static final int PARAM_DISPLAY_SIZE
Dimensions of the braille display: { uint32_t columns; uint32_t rows; }

See Also:
  - Constant Field Values

### PARAM_DEVICE_IDENTIFIER

static final int PARAM_DEVICE_IDENTIFIER
Identifier of the device: string

See Also:
  - Constant Field Values

### PARAM_DEVICE_SPEED

static final int PARAM_DEVICE_SPEED
Speed of the device: uint32_t

See Also:
  - Constant Field Values

### PARAM_DEVICE_ONLINE

static final int PARAM_DEVICE_ONLINE
Device is online: boolean

See Also:
  - Constant Field Values

### PARAM_RETAIN_DOTS

static final int PARAM_RETAIN_DOTS
Pass dot combinations (rather than characters): boolean

See Also:
  - Constant Field Values

### PARAM_COMPUTER_BRAILLE_CELL_SIZE

static final int PARAM_COMPUTER_BRAILLE_CELL_SIZE
Number of dots used to render a computer braille character: uint8_t (8 or 6)

See Also:
  - Constant Field Values

### PARAM_LITERARY_BRAILLE

static final int PARAM_LITERARY_BRAILLE
Whether braille is literary (rather than computer): boolean

See Also:
  - Constant Field Values

### PARAM_CURSOR_DOTS

static final int PARAM_CURSOR_DOTS
Representation of the cursor: uint8_t (ISO 11548-1)

See Also:
  - Constant Field Values

### PARAM_CURSOR_BLINK_PERIOD

static final int PARAM_CURSOR_BLINK_PERIOD
Blinking period of the cursor: uint32_t (milliseconds)

See Also:
  - Constant Field Values

### PARAM_CURSOR_BLINK_PERCENTAGE

static final int PARAM_CURSOR_BLINK_PERCENTAGE
Portion of the blinking period that the cursor is visible: uint8_t (from 0 through 100)

See Also:
  - Constant Field Values

### PARAM_RENDERED_CELLS

static final int PARAM_RENDERED_CELLS
Cells rendered by the client: uint8_t[] (ISO 11548-1), one cell per element

See Also:
  - Constant Field Values

### PARAM_SKIP_IDENTICAL_LINES

static final int PARAM_SKIP_IDENTICAL_LINES
Whether to skip identical screen lines: boolean

See Also:
  - Constant Field Values

### PARAM_AUDIBLE_ALERTS

static final int PARAM_AUDIBLE_ALERTS
Whether to use audible alerts: boolean

See Also:
  - Constant Field Values

### PARAM_CLIPBOARD_CONTENT

static final int PARAM_CLIPBOARD_CONTENT
Content of the clipboard: UTF-8 string

See Also:
  - Constant Field Values

### PARAM_BOUND_COMMAND_KEYCODES

static final int PARAM_BOUND_COMMAND_KEYCODES
Commands bound by the driver: uint64_t[], one command keycode per element

See Also:
  - Constant Field Values

### PARAM_COMMAND_KEYCODE_NAME

static final int PARAM_COMMAND_KEYCODE_NAME
Name for a command keycode (specified via the subparam argument): string (usually a few characters)

See Also:
  - Constant Field Values

### PARAM_COMMAND_KEYCODE_SUMMARY

static final int PARAM_COMMAND_KEYCODE_SUMMARY
Description for a command keycode (specified via the subparam argument): string (usually a few words)

See Also:
  - Constant Field Values

### PARAM_DEFINED_DRIVER_KEYCODES

static final int PARAM_DEFINED_DRIVER_KEYCODES
Keycodes defined by the driver: uint64_t[], one keycode per element

See Also:
  - Constant Field Values

### PARAM_DRIVER_KEYCODE_NAME

static final int PARAM_DRIVER_KEYCODE_NAME
Name for a driver keycode (specified via the subparam argument): string (usually a few characters)

See Also:
  - Constant Field Values

### PARAM_DRIVER_KEYCODE_SUMMARY

static final int PARAM_DRIVER_KEYCODE_SUMMARY
Description for a driver keycode (specified via the subparam argument): string (usually a few words)

See Also:
  - Constant Field Values

### PARAM_COMPUTER_BRAILLE_ROWS_MASK

static final int PARAM_COMPUTER_BRAILLE_ROWS_MASK
Set of Unicode rows that are defined for computer braille (from U+0000 through U+10FFFF): uint8_t[544], one bit per row, eight rows per element

See Also:
  - Constant Field Values

### PARAM_COMPUTER_BRAILLE_ROW_CELLS

static final int PARAM_COMPUTER_BRAILLE_ROW_CELLS
Computer braille cells for a Unicode row (specified via the subparam argument): uint8_t[256] (ISO 11548-1), one cell per element

See Also:
  - Constant Field Values

### PARAM_COMPUTER_BRAILLE_TABLE

static final int PARAM_COMPUTER_BRAILLE_TABLE
Name of the computer braille table: string

See Also:
  - Constant Field Values

### PARAM_LITERARY_BRAILLE_TABLE

static final int PARAM_LITERARY_BRAILLE_TABLE
Name of the literary braille table: string

See Also:
  - Constant Field Values

### PARAM_MESSAGE_LOCALE

static final int PARAM_MESSAGE_LOCALE
Locale to use for messages: string

See Also:
  - Constant Field Values

### PARAM_DRIVER_PROPERTY_VALUE

static final int PARAM_DRIVER_PROPERTY_VALUE
Value of a driver-specific property: uint32_t

See Also:
  - Constant Field Values

### PARAM_COUNT

static final int PARAM_COUNT
Number of parameters

See Also:
  - Constant Field Values

### PARAM_TYPE_STRING

static final int PARAM_TYPE_STRING
Parameter is a string of UTF-8 characters

See Also:
  - Constant Field Values

### PARAM_TYPE_BOOLEAN

static final int PARAM_TYPE_BOOLEAN
Parameter is one or more booleans represented by a uint8_t

See Also:
  - Constant Field Values

### PARAM_TYPE_UINT8

static final int PARAM_TYPE_UINT8
Parameter is one or more 8-bit unsigned integers

See Also:
  - Constant Field Values

### PARAM_TYPE_UINT16

static final int PARAM_TYPE_UINT16
Parameter is one or more 16-bit unsigned integers

See Also:
  - Constant Field Values

### PARAM_TYPE_UINT32

static final int PARAM_TYPE_UINT32
Parameter is one or more 32-bit unsigned integers

See Also:
  - Constant Field Values

### PARAM_TYPE_UINT64

static final int PARAM_TYPE_UINT64
Parameter is one or more 64-bit unsigned integers

See Also:
  - Constant Field Values

### PARAM_TYPE_KEYCODE

static final int PARAM_TYPE_KEYCODE
Parameter is one or more key codes

See Also:
  - Constant Field Values

### KEY_CMD_NOOP

static final int KEY_CMD_NOOP
do nothing

See Also:
  - Constant Field Values

### KEY_CMD_LNUP

static final int KEY_CMD_LNUP
go up one line

See Also:
  - Constant Field Values

### KEY_CMD_LNDN

static final int KEY_CMD_LNDN
go down one line

See Also:
  - Constant Field Values

### KEY_CMD_WINUP

static final int KEY_CMD_WINUP
go up several lines

See Also:
  - Constant Field Values

### KEY_CMD_WINDN

static final int KEY_CMD_WINDN
go down several lines

See Also:
  - Constant Field Values

### KEY_CMD_PRDIFLN

static final int KEY_CMD_PRDIFLN
go up to nearest line with different content

See Also:
  - Constant Field Values

### KEY_CMD_NXDIFLN

static final int KEY_CMD_NXDIFLN
go down to nearest line with different content

See Also:
  - Constant Field Values

### KEY_CMD_ATTRUP

static final int KEY_CMD_ATTRUP
go up to nearest line with different highlighting

See Also:
  - Constant Field Values

### KEY_CMD_ATTRDN

static final int KEY_CMD_ATTRDN
go down to nearest line with different highlighting

See Also:
  - Constant Field Values

### KEY_CMD_TOP

static final int KEY_CMD_TOP
go to top line

See Also:
  - Constant Field Values

### KEY_CMD_BOT

static final int KEY_CMD_BOT
go to bottom line

See Also:
  - Constant Field Values

### KEY_CMD_TOP_LEFT

static final int KEY_CMD_TOP_LEFT
go to beginning of top line

See Also:
  - Constant Field Values

### KEY_CMD_BOT_LEFT

static final int KEY_CMD_BOT_LEFT
go to beginning of bottom line

See Also:
  - Constant Field Values

### KEY_CMD_PRPGRPH

static final int KEY_CMD_PRPGRPH
go up to first line of paragraph

See Also:
  - Constant Field Values

### KEY_CMD_NXPGRPH

static final int KEY_CMD_NXPGRPH
go down to first line of next paragraph

See Also:
  - Constant Field Values

### KEY_CMD_PRPROMPT

static final int KEY_CMD_PRPROMPT
go up to previous command prompt

See Also:
  - Constant Field Values

### KEY_CMD_NXPROMPT

static final int KEY_CMD_NXPROMPT
go down to next command prompt

See Also:
  - Constant Field Values

### KEY_CMD_PRSEARCH

static final int KEY_CMD_PRSEARCH
search backward for clipboard text

See Also:
  - Constant Field Values

### KEY_CMD_NXSEARCH

static final int KEY_CMD_NXSEARCH
search forward for clipboard text

See Also:
  - Constant Field Values

### KEY_CMD_CHRLT

static final int KEY_CMD_CHRLT
go left one character

See Also:
  - Constant Field Values

### KEY_CMD_CHRRT

static final int KEY_CMD_CHRRT
go right one character

See Also:
  - Constant Field Values

### KEY_CMD_HWINLT

static final int KEY_CMD_HWINLT
go left half a braille window

See Also:
  - Constant Field Values

### KEY_CMD_HWINRT

static final int KEY_CMD_HWINRT
go right half a braille window

See Also:
  - Constant Field Values

### KEY_CMD_FWINLT

static final int KEY_CMD_FWINLT
go backward one braille window

See Also:
  - Constant Field Values

### KEY_CMD_FWINRT

static final int KEY_CMD_FWINRT
go forward one braille window

See Also:
  - Constant Field Values

### KEY_CMD_FWINLTSKIP

static final int KEY_CMD_FWINLTSKIP
go backward skipping blank braille windows

See Also:
  - Constant Field Values

### KEY_CMD_FWINRTSKIP

static final int KEY_CMD_FWINRTSKIP
go forward skipping blank braille windows

See Also:
  - Constant Field Values

### KEY_CMD_LNBEG

static final int KEY_CMD_LNBEG
go to beginning of line

See Also:
  - Constant Field Values

### KEY_CMD_LNEND

static final int KEY_CMD_LNEND
go to end of line

See Also:
  - Constant Field Values

### KEY_CMD_HOME

static final int KEY_CMD_HOME
go to screen cursor

See Also:
  - Constant Field Values

### KEY_CMD_BACK

static final int KEY_CMD_BACK
go back after cursor tracking

See Also:
  - Constant Field Values

### KEY_CMD_RETURN

static final int KEY_CMD_RETURN
go to screen cursor or go back after cursor tracking

See Also:
  - Constant Field Values

### KEY_CMD_FREEZE

static final int KEY_CMD_FREEZE
set screen image frozen/unfrozen

See Also:
  - Constant Field Values

### KEY_CMD_DISPMD

static final int KEY_CMD_DISPMD
set display mode attributes/text

See Also:
  - Constant Field Values

### KEY_CMD_SIXDOTS

static final int KEY_CMD_SIXDOTS
set text style 6-dot/8-dot

See Also:
  - Constant Field Values

### KEY_CMD_SLIDEWIN

static final int KEY_CMD_SLIDEWIN
set sliding braille window on/off

See Also:
  - Constant Field Values

### KEY_CMD_SKPIDLNS

static final int KEY_CMD_SKPIDLNS
set skipping of lines with identical content on/off

See Also:
  - Constant Field Values

### KEY_CMD_SKPBLNKWINS

static final int KEY_CMD_SKPBLNKWINS
set skipping of blank braille windows on/off

See Also:
  - Constant Field Values

### KEY_CMD_CSRVIS

static final int KEY_CMD_CSRVIS
set screen cursor visibility on/off

See Also:
  - Constant Field Values

### KEY_CMD_CSRHIDE

static final int KEY_CMD_CSRHIDE
set hidden screen cursor on/off

See Also:
  - Constant Field Values

### KEY_CMD_CSRTRK

static final int KEY_CMD_CSRTRK
set track screen cursor on/off

See Also:
  - Constant Field Values

### KEY_CMD_CSRSIZE

static final int KEY_CMD_CSRSIZE
set screen cursor style block/underline

See Also:
  - Constant Field Values

### KEY_CMD_CSRBLINK

static final int KEY_CMD_CSRBLINK
set screen cursor blinking on/off

See Also:
  - Constant Field Values

### KEY_CMD_ATTRVIS

static final int KEY_CMD_ATTRVIS
set attribute underlining on/off

See Also:
  - Constant Field Values

### KEY_CMD_ATTRBLINK

static final int KEY_CMD_ATTRBLINK
set attribute blinking on/off

See Also:
  - Constant Field Values

### KEY_CMD_CAPBLINK

static final int KEY_CMD_CAPBLINK
set capital letter blinking on/off

See Also:
  - Constant Field Values

### KEY_CMD_TUNES

static final int KEY_CMD_TUNES
set alert tunes on/off

See Also:
  - Constant Field Values

### KEY_CMD_AUTOREPEAT

static final int KEY_CMD_AUTOREPEAT
set autorepeat on/off

See Also:
  - Constant Field Values

### KEY_CMD_AUTOSPEAK

static final int KEY_CMD_AUTOSPEAK
set autospeak on/off

See Also:
  - Constant Field Values

### KEY_CMD_HELP

static final int KEY_CMD_HELP
enter/leave help display

See Also:
  - Constant Field Values

### KEY_CMD_INFO

static final int KEY_CMD_INFO
enter/leave status display

See Also:
  - Constant Field Values

### KEY_CMD_LEARN

static final int KEY_CMD_LEARN
enter/leave command learn mode

See Also:
  - Constant Field Values

### KEY_CMD_PREFMENU

static final int KEY_CMD_PREFMENU
enter/leave preferences menu

See Also:
  - Constant Field Values

### KEY_CMD_PREFSAVE

static final int KEY_CMD_PREFSAVE
save preferences to disk

See Also:
  - Constant Field Values

### KEY_CMD_PREFLOAD

static final int KEY_CMD_PREFLOAD
restore preferences from disk

See Also:
  - Constant Field Values

### KEY_CMD_MENU_FIRST_ITEM

static final int KEY_CMD_MENU_FIRST_ITEM
go up to first item

See Also:
  - Constant Field Values

### KEY_CMD_MENU_LAST_ITEM

static final int KEY_CMD_MENU_LAST_ITEM
go down to last item

See Also:
  - Constant Field Values

### KEY_CMD_MENU_PREV_ITEM

static final int KEY_CMD_MENU_PREV_ITEM
go up to previous item

See Also:
  - Constant Field Values

### KEY_CMD_MENU_NEXT_ITEM

static final int KEY_CMD_MENU_NEXT_ITEM
go down to next item

See Also:
  - Constant Field Values

### KEY_CMD_MENU_PREV_SETTING

static final int KEY_CMD_MENU_PREV_SETTING
select previous choice

See Also:
  - Constant Field Values

### KEY_CMD_MENU_NEXT_SETTING

static final int KEY_CMD_MENU_NEXT_SETTING
select next choice

See Also:
  - Constant Field Values

### KEY_CMD_MUTE

static final int KEY_CMD_MUTE
stop speaking

See Also:
  - Constant Field Values

### KEY_CMD_SPKHOME

static final int KEY_CMD_SPKHOME
go to current speaking position

See Also:
  - Constant Field Values

### KEY_CMD_SAY_LINE

static final int KEY_CMD_SAY_LINE
speak current line

See Also:
  - Constant Field Values

### KEY_CMD_SAY_ABOVE

static final int KEY_CMD_SAY_ABOVE
speak from top of screen through current line

See Also:
  - Constant Field Values

### KEY_CMD_SAY_BELOW

static final int KEY_CMD_SAY_BELOW
speak from current line through bottom of screen

See Also:
  - Constant Field Values

### KEY_CMD_SAY_SLOWER

static final int KEY_CMD_SAY_SLOWER
decrease speaking rate

See Also:
  - Constant Field Values

### KEY_CMD_SAY_FASTER

static final int KEY_CMD_SAY_FASTER
increase speaking rate

See Also:
  - Constant Field Values

### KEY_CMD_SAY_SOFTER

static final int KEY_CMD_SAY_SOFTER
decrease speaking volume

See Also:
  - Constant Field Values

### KEY_CMD_SAY_LOUDER

static final int KEY_CMD_SAY_LOUDER
increase speaking volume

See Also:
  - Constant Field Values

### KEY_CMD_SWITCHVT_PREV

static final int KEY_CMD_SWITCHVT_PREV
switch to the previous virtual terminal

See Also:
  - Constant Field Values

### KEY_CMD_SWITCHVT_NEXT

static final int KEY_CMD_SWITCHVT_NEXT
switch to the next virtual terminal

See Also:
  - Constant Field Values

### KEY_CMD_CSRJMP_VERT

static final int KEY_CMD_CSRJMP_VERT
bring screen cursor to current line

See Also:
  - Constant Field Values

### KEY_CMD_PASTE

static final int KEY_CMD_PASTE
insert clipboard text after screen cursor

See Also:
  - Constant Field Values

### KEY_CMD_RESTARTBRL

static final int KEY_CMD_RESTARTBRL
restart braille driver

See Also:
  - Constant Field Values

### KEY_CMD_RESTARTSPEECH

static final int KEY_CMD_RESTARTSPEECH
restart speech driver

See Also:
  - Constant Field Values

### KEY_CMD_OFFLINE

static final int KEY_CMD_OFFLINE
braille display temporarily unavailable

See Also:
  - Constant Field Values

### KEY_CMD_SHIFT

static final int KEY_CMD_SHIFT
cycle the Shift sticky input modifier (next, on, off)

See Also:
  - Constant Field Values

### KEY_CMD_UPPER

static final int KEY_CMD_UPPER
cycle the Upper sticky input modifier (next, on, off)

See Also:
  - Constant Field Values

### KEY_CMD_CONTROL

static final int KEY_CMD_CONTROL
cycle the Control sticky input modifier (next, on, off)

See Also:
  - Constant Field Values

### KEY_CMD_META

static final int KEY_CMD_META
cycle the Meta (Left Alt) sticky input modifier (next, on, off)

See Also:
  - Constant Field Values

### KEY_CMD_TIME

static final int KEY_CMD_TIME
show current date and time

See Also:
  - Constant Field Values

### KEY_CMD_MENU_PREV_LEVEL

static final int KEY_CMD_MENU_PREV_LEVEL
go to previous menu level

See Also:
  - Constant Field Values

### KEY_CMD_ASPK_SEL_LINE

static final int KEY_CMD_ASPK_SEL_LINE
set autospeak selected line on/off

See Also:
  - Constant Field Values

### KEY_CMD_ASPK_SEL_CHAR

static final int KEY_CMD_ASPK_SEL_CHAR
set autospeak selected character on/off

See Also:
  - Constant Field Values

### KEY_CMD_ASPK_INS_CHARS

static final int KEY_CMD_ASPK_INS_CHARS
set autospeak inserted characters on/off

See Also:
  - Constant Field Values

### KEY_CMD_ASPK_DEL_CHARS

static final int KEY_CMD_ASPK_DEL_CHARS
set autospeak deleted characters on/off

See Also:
  - Constant Field Values

### KEY_CMD_ASPK_REP_CHARS

static final int KEY_CMD_ASPK_REP_CHARS
set autospeak replaced characters on/off

See Also:
  - Constant Field Values

### KEY_CMD_ASPK_CMP_WORDS

static final int KEY_CMD_ASPK_CMP_WORDS
set autospeak completed words on/off

See Also:
  - Constant Field Values

### KEY_CMD_SPEAK_CURR_CHAR

static final int KEY_CMD_SPEAK_CURR_CHAR
speak current character

See Also:
  - Constant Field Values

### KEY_CMD_SPEAK_PREV_CHAR

static final int KEY_CMD_SPEAK_PREV_CHAR
go to and speak previous character

See Also:
  - Constant Field Values

### KEY_CMD_SPEAK_NEXT_CHAR

static final int KEY_CMD_SPEAK_NEXT_CHAR
go to and speak next character

See Also:
  - Constant Field Values

### KEY_CMD_SPEAK_CURR_WORD

static final int KEY_CMD_SPEAK_CURR_WORD
speak current word

See Also:
  - Constant Field Values

### KEY_CMD_SPEAK_PREV_WORD

static final int KEY_CMD_SPEAK_PREV_WORD
go to and speak previous word

See Also:
  - Constant Field Values

### KEY_CMD_SPEAK_NEXT_WORD

static final int KEY_CMD_SPEAK_NEXT_WORD
go to and speak next word

See Also:
  - Constant Field Values

### KEY_CMD_SPEAK_CURR_LINE

static final int KEY_CMD_SPEAK_CURR_LINE
speak current line

See Also:
  - Constant Field Values

### KEY_CMD_SPEAK_PREV_LINE

static final int KEY_CMD_SPEAK_PREV_LINE
go to and speak previous line

See Also:
  - Constant Field Values

### KEY_CMD_SPEAK_NEXT_LINE

static final int KEY_CMD_SPEAK_NEXT_LINE
go to and speak next line

See Also:
  - Constant Field Values

### KEY_CMD_SPEAK_FRST_CHAR

static final int KEY_CMD_SPEAK_FRST_CHAR
go to and speak first non-blank character on line

See Also:
  - Constant Field Values

### KEY_CMD_SPEAK_LAST_CHAR

static final int KEY_CMD_SPEAK_LAST_CHAR
go to and speak last non-blank character on line

See Also:
  - Constant Field Values

### KEY_CMD_SPEAK_FRST_LINE

static final int KEY_CMD_SPEAK_FRST_LINE
go to and speak first non-blank line on screen

See Also:
  - Constant Field Values

### KEY_CMD_SPEAK_LAST_LINE

static final int KEY_CMD_SPEAK_LAST_LINE
go to and speak last non-blank line on screen

See Also:
  - Constant Field Values

### KEY_CMD_DESC_CURR_CHAR

static final int KEY_CMD_DESC_CURR_CHAR
describe current character

See Also:
  - Constant Field Values

### KEY_CMD_SPELL_CURR_WORD

static final int KEY_CMD_SPELL_CURR_WORD
spell current word

See Also:
  - Constant Field Values

### KEY_CMD_ROUTE_CURR_LOCN

static final int KEY_CMD_ROUTE_CURR_LOCN
bring screen cursor to speech cursor

See Also:
  - Constant Field Values

### KEY_CMD_SPEAK_CURR_LOCN

static final int KEY_CMD_SPEAK_CURR_LOCN
speak speech cursor location

See Also:
  - Constant Field Values

### KEY_CMD_SHOW_CURR_LOCN

static final int KEY_CMD_SHOW_CURR_LOCN
set speech cursor visibility on/off

See Also:
  - Constant Field Values

### KEY_CMD_CLIP_SAVE

static final int KEY_CMD_CLIP_SAVE
save clipboard to disk

See Also:
  - Constant Field Values

### KEY_CMD_CLIP_RESTORE

static final int KEY_CMD_CLIP_RESTORE
restore clipboard from disk

See Also:
  - Constant Field Values

### KEY_CMD_BRLUCDOTS

static final int KEY_CMD_BRLUCDOTS
set braille typing mode dots/text

See Also:
  - Constant Field Values

### KEY_CMD_BRLKBD

static final int KEY_CMD_BRLKBD
set braille keyboard enabled/disabled

See Also:
  - Constant Field Values

### KEY_CMD_UNSTICK

static final int KEY_CMD_UNSTICK
clear all sticky input modifiers

See Also:
  - Constant Field Values

### KEY_CMD_ALTGR

static final int KEY_CMD_ALTGR
cycle the AltGr (Right Alt) sticky input modifier (next, on, off)

See Also:
  - Constant Field Values

### KEY_CMD_GUI

static final int KEY_CMD_GUI
cycle the GUI (Windows) sticky input modifier (next, on, off)

See Also:
  - Constant Field Values

### KEY_CMD_BRL_STOP

static final int KEY_CMD_BRL_STOP
stop the braille driver

See Also:
  - Constant Field Values

### KEY_CMD_BRL_START

static final int KEY_CMD_BRL_START
start the braille driver

See Also:
  - Constant Field Values

### KEY_CMD_SPK_STOP

static final int KEY_CMD_SPK_STOP
stop the speech driver

See Also:
  - Constant Field Values

### KEY_CMD_SPK_START

static final int KEY_CMD_SPK_START
start the speech driver

See Also:
  - Constant Field Values

### KEY_CMD_SCR_STOP

static final int KEY_CMD_SCR_STOP
stop the screen driver

See Also:
  - Constant Field Values

### KEY_CMD_SCR_START

static final int KEY_CMD_SCR_START
start the screen driver

See Also:
  - Constant Field Values

### KEY_CMD_SELECTVT_PREV

static final int KEY_CMD_SELECTVT_PREV
bind to the previous virtual terminal

See Also:
  - Constant Field Values

### KEY_CMD_SELECTVT_NEXT

static final int KEY_CMD_SELECTVT_NEXT
bind to the next virtual terminal

See Also:
  - Constant Field Values

### KEY_CMD_PRNBWIN

static final int KEY_CMD_PRNBWIN
go backward to nearest non-blank braille window

See Also:
  - Constant Field Values

### KEY_CMD_NXNBWIN

static final int KEY_CMD_NXNBWIN
go forward to nearest non-blank braille window

See Also:
  - Constant Field Values

### KEY_CMD_TOUCH_NAV

static final int KEY_CMD_TOUCH_NAV
set touch navigation on/off

See Also:
  - Constant Field Values

### KEY_CMD_SPEAK_INDENT

static final int KEY_CMD_SPEAK_INDENT
speak indent of current line

See Also:
  - Constant Field Values

### KEY_CMD_ASPK_INDENT

static final int KEY_CMD_ASPK_INDENT
set autospeak indent of current line on/off

See Also:
  - Constant Field Values

### KEY_CMD_REFRESH

static final int KEY_CMD_REFRESH
refresh braille display

See Also:
  - Constant Field Values

### KEY_CMD_INDICATORS

static final int KEY_CMD_INDICATORS
show various device status indicators

See Also:
  - Constant Field Values

### KEY_CMD_TXTSEL_CLEAR

static final int KEY_CMD_TXTSEL_CLEAR
clear the text selection

See Also:
  - Constant Field Values

### KEY_CMD_TXTSEL_ALL

static final int KEY_CMD_TXTSEL_ALL
select all of the text

See Also:
  - Constant Field Values

### KEY_CMD_HOST_COPY

static final int KEY_CMD_HOST_COPY
copy selected text to host clipboard

See Also:
  - Constant Field Values

### KEY_CMD_HOST_CUT

static final int KEY_CMD_HOST_CUT
cut selected text to host clipboard

See Also:
  - Constant Field Values

### KEY_CMD_HOST_PASTE

static final int KEY_CMD_HOST_PASTE
insert host clipboard text after screen cursor

See Also:
  - Constant Field Values

### KEY_CMD_GUI_TITLE

static final int KEY_CMD_GUI_TITLE
show the window title

See Also:
  - Constant Field Values

### KEY_CMD_GUI_BRL_ACTIONS

static final int KEY_CMD_GUI_BRL_ACTIONS
open the braille actions window

See Also:
  - Constant Field Values

### KEY_CMD_GUI_HOME

static final int KEY_CMD_GUI_HOME
go to the home screen

See Also:
  - Constant Field Values

### KEY_CMD_GUI_BACK

static final int KEY_CMD_GUI_BACK
go back to the previous screen

See Also:
  - Constant Field Values

### KEY_CMD_GUI_DEV_SETTINGS

static final int KEY_CMD_GUI_DEV_SETTINGS
open the device settings window

See Also:
  - Constant Field Values

### KEY_CMD_GUI_DEV_OPTIONS

static final int KEY_CMD_GUI_DEV_OPTIONS
open the device options window

See Also:
  - Constant Field Values

### KEY_CMD_GUI_APP_LIST

static final int KEY_CMD_GUI_APP_LIST
open the application list window

See Also:
  - Constant Field Values

### KEY_CMD_GUI_APP_MENU

static final int KEY_CMD_GUI_APP_MENU
open the application-specific menu

See Also:
  - Constant Field Values

### KEY_CMD_GUI_APP_ALERTS

static final int KEY_CMD_GUI_APP_ALERTS
open the application alerts window

See Also:
  - Constant Field Values

### KEY_CMD_GUI_AREA_ACTV

static final int KEY_CMD_GUI_AREA_ACTV
return to the active screen area

See Also:
  - Constant Field Values

### KEY_CMD_GUI_AREA_PREV

static final int KEY_CMD_GUI_AREA_PREV
switch to the previous screen area

See Also:
  - Constant Field Values

### KEY_CMD_GUI_AREA_NEXT

static final int KEY_CMD_GUI_AREA_NEXT
switch to the next screen area

See Also:
  - Constant Field Values

### KEY_CMD_GUI_ITEM_FRST

static final int KEY_CMD_GUI_ITEM_FRST
move to the first item in the screen area

See Also:
  - Constant Field Values

### KEY_CMD_GUI_ITEM_PREV

static final int KEY_CMD_GUI_ITEM_PREV
move to the previous item in the screen area

See Also:
  - Constant Field Values

### KEY_CMD_GUI_ITEM_NEXT

static final int KEY_CMD_GUI_ITEM_NEXT
move to the next item in the screen area

See Also:
  - Constant Field Values

### KEY_CMD_GUI_ITEM_LAST

static final int KEY_CMD_GUI_ITEM_LAST
move to the last item in the screen area

See Also:
  - Constant Field Values

### KEY_CMD_SAY_LOWER

static final int KEY_CMD_SAY_LOWER
decrease speaking pitch

See Also:
  - Constant Field Values

### KEY_CMD_SAY_HIGHER

static final int KEY_CMD_SAY_HIGHER
increase speaking pitch

See Also:
  - Constant Field Values

### KEY_CMD_SAY_ALL

static final int KEY_CMD_SAY_ALL
speak from top of screen through bottom of screen

See Also:
  - Constant Field Values

### KEY_CMD_CONTRACTED

static final int KEY_CMD_CONTRACTED
set contracted/computer braille

See Also:
  - Constant Field Values

### KEY_CMD_COMPBRL6

static final int KEY_CMD_COMPBRL6
set six/eight dot computer braille

See Also:
  - Constant Field Values

### KEY_CMD_PREFRESET

static final int KEY_CMD_PREFRESET
reset preferences to defaults

See Also:
  - Constant Field Values

### KEY_CMD_ASPK_EMP_LINE

static final int KEY_CMD_ASPK_EMP_LINE
set autospeak empty line on/off

See Also:
  - Constant Field Values

### KEY_CMD_ROUTE

static final int KEY_CMD_ROUTE
bring screen cursor to character

See Also:
  - Constant Field Values

### KEY_CMD_CLIP_NEW

static final int KEY_CMD_CLIP_NEW
start new clipboard at character

See Also:
  - Constant Field Values

### KEY_CMD_CUTBEGIN

static final int KEY_CMD_CUTBEGIN
deprecated definition of CLIP_NEW - start new clipboard at character

See Also:
  - Constant Field Values

### KEY_CMD_CLIP_ADD

static final int KEY_CMD_CLIP_ADD
append to clipboard from character

See Also:
  - Constant Field Values

### KEY_CMD_CUTAPPEND

static final int KEY_CMD_CUTAPPEND
deprecated definition of CLIP_ADD - append to clipboard from character

See Also:
  - Constant Field Values

### KEY_CMD_COPY_RECT

static final int KEY_CMD_COPY_RECT
rectangular copy to character

See Also:
  - Constant Field Values

### KEY_CMD_CUTRECT

static final int KEY_CMD_CUTRECT
deprecated definition of COPY_RECT - rectangular copy to character

See Also:
  - Constant Field Values

### KEY_CMD_COPY_LINE

static final int KEY_CMD_COPY_LINE
linear copy to character

See Also:
  - Constant Field Values

### KEY_CMD_CUTLINE

static final int KEY_CMD_CUTLINE
deprecated definition of COPY_LINE - linear copy to character

See Also:
  - Constant Field Values

### KEY_CMD_SWITCHVT

static final int KEY_CMD_SWITCHVT
switch to specific virtual terminal

See Also:
  - Constant Field Values

### KEY_CMD_PRINDENT

static final int KEY_CMD_PRINDENT
go up to nearest line with less indent than character

See Also:
  - Constant Field Values

### KEY_CMD_NXINDENT

static final int KEY_CMD_NXINDENT
go down to nearest line with less indent than character

See Also:
  - Constant Field Values

### KEY_CMD_DESCCHAR

static final int KEY_CMD_DESCCHAR
describe character

See Also:
  - Constant Field Values

### KEY_CMD_SETLEFT

static final int KEY_CMD_SETLEFT
place left end of braille window at character

See Also:
  - Constant Field Values

### KEY_CMD_SETMARK

static final int KEY_CMD_SETMARK
remember current braille window position

See Also:
  - Constant Field Values

### KEY_CMD_GOTOMARK

static final int KEY_CMD_GOTOMARK
go to remembered braille window position

See Also:
  - Constant Field Values

### KEY_CMD_GOTOLINE

static final int KEY_CMD_GOTOLINE
go to selected line

See Also:
  - Constant Field Values

### KEY_CMD_PRDIFCHAR

static final int KEY_CMD_PRDIFCHAR
go up to nearest line with different character

See Also:
  - Constant Field Values

### KEY_CMD_NXDIFCHAR

static final int KEY_CMD_NXDIFCHAR
go down to nearest line with different character

See Also:
  - Constant Field Values

### KEY_CMD_CLIP_COPY

static final int KEY_CMD_CLIP_COPY
copy characters to clipboard

See Also:
  - Constant Field Values

### KEY_CMD_COPYCHARS

static final int KEY_CMD_COPYCHARS
deprecated definition of CLIP_COPY - copy characters to clipboard

See Also:
  - Constant Field Values

### KEY_CMD_CLIP_APPEND

static final int KEY_CMD_CLIP_APPEND
append characters to clipboard

See Also:
  - Constant Field Values

### KEY_CMD_APNDCHARS

static final int KEY_CMD_APNDCHARS
deprecated definition of CLIP_APPEND - append characters to clipboard

See Also:
  - Constant Field Values

### KEY_CMD_PASTE_HISTORY

static final int KEY_CMD_PASTE_HISTORY
insert clipboard history entry after screen cursor

See Also:
  - Constant Field Values

### KEY_CMD_SET_TEXT_TABLE

static final int KEY_CMD_SET_TEXT_TABLE
set text table

See Also:
  - Constant Field Values

### KEY_CMD_SET_ATTRIBUTES_TABLE

static final int KEY_CMD_SET_ATTRIBUTES_TABLE
set attributes table

See Also:
  - Constant Field Values

### KEY_CMD_SET_CONTRACTION_TABLE

static final int KEY_CMD_SET_CONTRACTION_TABLE
set contraction table

See Also:
  - Constant Field Values

### KEY_CMD_SET_KEYBOARD_TABLE

static final int KEY_CMD_SET_KEYBOARD_TABLE
set keyboard table

See Also:
  - Constant Field Values

### KEY_CMD_SET_LANGUAGE_PROFILE

static final int KEY_CMD_SET_LANGUAGE_PROFILE
set language profile

See Also:
  - Constant Field Values

### KEY_CMD_ROUTE_LINE

static final int KEY_CMD_ROUTE_LINE
bring screen cursor to line

See Also:
  - Constant Field Values

### KEY_CMD_REFRESH_LINE

static final int KEY_CMD_REFRESH_LINE
refresh braille line

See Also:
  - Constant Field Values

### KEY_CMD_TXTSEL_START

static final int KEY_CMD_TXTSEL_START
start text selection

See Also:
  - Constant Field Values

### KEY_CMD_TXTSEL_SET

static final int KEY_CMD_TXTSEL_SET
set text selection

See Also:
  - Constant Field Values

### KEY_CMD_ROUTE_SPEECH

static final int KEY_CMD_ROUTE_SPEECH
bring speech cursor to character

See Also:
  - Constant Field Values

### KEY_CMD_SELECTVT

static final int KEY_CMD_SELECTVT
bind to specific virtual terminal

See Also:
  - Constant Field Values

### KEY_CMD_ALERT

static final int KEY_CMD_ALERT
render an alert

See Also:
  - Constant Field Values

### KEY_CMD_PASSDOTS

static final int KEY_CMD_PASSDOTS
type braille dots

See Also:
  - Constant Field Values

### KEY_CMD_PASSAT

static final int KEY_CMD_PASSAT
AT (set 2) keyboard scan code

See Also:
  - Constant Field Values

### KEY_CMD_PASSXT

static final int KEY_CMD_PASSXT
XT (set 1) keyboard scan code

See Also:
  - Constant Field Values

### KEY_CMD_PASSPS2

static final int KEY_CMD_PASSPS2
PS/2 (set 3) keyboard scan code

See Also:
  - Constant Field Values

### KEY_CMD_CONTEXT

static final int KEY_CMD_CONTEXT
switch to command context

See Also:
  - Constant Field Values

### KEY_CMD_TOUCH_AT

static final int KEY_CMD_TOUCH_AT
current reading location

See Also:
  - Constant Field Values

### KEY_CMD_MACRO

static final int KEY_CMD_MACRO
execute command macro

See Also:
  - Constant Field Values

### KEY_CMD_HOSTCMD

static final int KEY_CMD_HOSTCMD
run host command

See Also:
  - Constant Field Values

### KEY_FLG_TOGGLE_ON

static final int KEY_FLG_TOGGLE_ON
enable feature

See Also:
  - Constant Field Values

### KEY_FLG_TOGGLE_OFF

static final int KEY_FLG_TOGGLE_OFF
disable feature

See Also:
  - Constant Field Values

### KEY_FLG_TOGGLE_MASK

static final int KEY_FLG_TOGGLE_MASK
mask for all toggle flags

See Also:
  - Constant Field Values

### KEY_FLG_MOTION_ROUTE

static final int KEY_FLG_MOTION_ROUTE
bring screen cursor into braille window after function

See Also:
  - Constant Field Values

### KEY_FLG_MOTION_SCALED

static final int KEY_FLG_MOTION_SCALED
scale arg=0X00-0XFF to screen height

See Also:
  - Constant Field Values

### KEY_FLG_MOTION_TOLEFT

static final int KEY_FLG_MOTION_TOLEFT
go to beginning of line

See Also:
  - Constant Field Values

### KEY_FLG_INPUT_SHIFT

static final int KEY_FLG_INPUT_SHIFT
shift key pressed

See Also:
  - Constant Field Values

### KEY_FLG_INPUT_UPPER

static final int KEY_FLG_INPUT_UPPER
convert to uppercase

See Also:
  - Constant Field Values

### KEY_FLG_INPUT_CONTROL

static final int KEY_FLG_INPUT_CONTROL
control key pressed

See Also:
  - Constant Field Values

### KEY_FLG_INPUT_META

static final int KEY_FLG_INPUT_META
meta (left alt) key pressed

See Also:
  - Constant Field Values

### KEY_FLG_INPUT_ALTGR

static final int KEY_FLG_INPUT_ALTGR
altgr (right alt) key pressed

See Also:
  - Constant Field Values

### KEY_FLG_INPUT_GUI

static final int KEY_FLG_INPUT_GUI
gui (windows) key pressed

See Also:
  - Constant Field Values

### KEY_FLG_INPUT_ESCAPED

static final int KEY_FLG_INPUT_ESCAPED
prefix with escape

See Also:
  - Constant Field Values

### KEY_FLG_INPUT_CAPSLOCK

static final int KEY_FLG_INPUT_CAPSLOCK
capslock key pressed

See Also:
  - Constant Field Values

### KEY_FLG_KBD_RELEASE

static final int KEY_FLG_KBD_RELEASE
it is a release scan code

See Also:
  - Constant Field Values

### KEY_FLG_KBD_EMUL0

static final int KEY_FLG_KBD_EMUL0
it is an emulation 0 scan code

See Also:
  - Constant Field Values

### KEY_FLG_KBD_EMUL1

static final int KEY_FLG_KBD_EMUL1
it is an emulation 1 scan code

See Also:
  - Constant Field Values

### DOT1

static final int DOT1
upper-left dot of standard braille cell

See Also:
  - Constant Field Values

### DOT2

static final int DOT2
middle-left dot of standard braille cell

See Also:
  - Constant Field Values

### DOT3

static final int DOT3
lower-left dot of standard braille cell

See Also:
  - Constant Field Values

### DOT4

static final int DOT4
upper-right dot of standard braille cell

See Also:
  - Constant Field Values

### DOT5

static final int DOT5
middle-right dot of standard braille cell

See Also:
  - Constant Field Values

### DOT6

static final int DOT6
lower-right dot of standard braille cell

See Also:
  - Constant Field Values

### DOT7

static final int DOT7
lower-left dot of computer braille cell

See Also:
  - Constant Field Values

### DOT8

static final int DOT8
lower-right dot of computer braille cell

See Also:
  - Constant Field Values

### DOTC

static final int DOTC
chord (space bar on braille keyboard)

See Also:
  - Constant Field Values